<?php
/**
 * Hungarian Locale
 *
 * @locale charset           ISO 639-1 - http://www.loc.gov/standards/iso639-2/php/code_list.php
 * @locale region            ISO-3166 (2 Alpha numeric) - https://www.iso.org/obp/ui/#search
 * @locale tinymce           refer to path includes/jscripts/tinymce/langs/{value}.js
 * @locale select2           refer to path includes/dynamics/select2/select2_locale_{value}.js
 * @locale phpmailer         refer to path includes/classes/PHPMailer/language/phpmailer.lang-{value}.php
 * @locale password_strength refer to path includes/dynamics/password/lang/{value}.js
 * @package locale/Hungarian
 */
setlocale(LC_TIME, "hu_HU", "hu_HU.UTF8", "hu.UTF8", "hun_hun", "Hungarian", "hu");
$locale['charset'] = "UTF-8";
$locale['region'] = "HU";
$locale['xml_lang'] = "hu";
$locael['short_lang_name'] = "hu";
$locale['tinymce'] = "hu";
$locale['select2'] = "hu";
$locale['phpmailer'] = "hu";
$locale['datepicker'] = "hu";
$locale['datepicker_js'] = "YYYY-M-DD H:mm:ss";
$locale['datepicker_php'] = "Y-m-d H:i:s";
$locale['password_strength'] = "hu";
$locale['date_day'] = "%b %d";
// Full & Short Months
$locale['months'] = "&nbsp|január|február|március|április|május|június|július|augusztus|szeptember|október|november|december";
$locale['shortmonths'] = "&nbsp|jan|febr|márc|ápr|máj|jún|júl|aug|szept|okt|nov|dec";
$locale['weekdays'] = "Vasárnap|Hétfő|Kedd|Szerda|Csütörtök|Péntek|Szombat";
// Timers
$locale['year'] = "év";
$locale['year_a'] = "év";
$locale['month'] = "hónap";
$locale['month_a'] = "hónap";
$locale['day'] = "nap";
$locale['day_a'] = "nap";
$locale['hour'] = "óra";
$locale['hour_a'] = "óra";
$locale['minute'] = "perc";
$locale['minute_a'] = "perc";
$locale['second'] = "másodperc";
$locale['second_a'] = "másodperc";
$locale['just_now'] = "épp most";
$locale['now'] = "most";
$locale['ago'] = "";
// Geo
$locale['street1'] = "Lakcím 1";
$locale['street2'] = "Lakcím 2";
$locale['city'] = "Város";
$locale['postcode'] = "Irányítószám";
$locale['sel_country'] = "Válassz országot";
$locale['sel_state'] = "Válassz megyét";
$locale['sel_user'] = "Adjon meg egy felhasználónevet";
$locale['add_language'] = "Fordítások hozzáadása";
$locale['add_lang'] = "%s hozzáadása";
$locale['other_states'] = "Másik Megye";
// Name
$locale['name'] = "Teljes Név";
$locale['username_pretext'] = "A nyilvános felhasználó neved ugyanaz, mint a felhasználóneved itt: %s %s";
$locale['first_name'] = "Keresztnév";
$locale['middle_name'] = "Második keresztnév";
$locale['last_name'] = "Vezetéknév";
// Documents
$locale['doc_type'] = "Dokumentum típus";
$locale['doc_series'] = "Sorozatok";
$locale['doc_number'] = "Szám";
$locale['doc_authority'] = "Engedélyek";
$locale['doc_date_issue'] = "Kiállítás dátuma";
$locale['doc_date_expire'] = "Lejárati dátum";
// Standard User Levels
$locale['user0'] = "Vendég";
$locale['user1'] = "Tag";
$locale['user2'] = "Adminisztrátor";
$locale['user3'] = "Főadminisztrátor";
$locale['user_na'] = "N/A";
$locale['user_guest'] = "Idegen";
$locale['user_anonymous'] = "Anonim Felhasználó";
$locale['genitive'] = "%s %s";
// Standard User Status
$locale['status0'] = "Aktív";
$locale['status1'] = "Kitiltott";
$locale['status2'] = "Aktiválatlan";
$locale['status3'] = "Felfüggesztett";
$locale['status4'] = "Kitiltva (biztonság)";
$locale['status5'] = "Eltávolítva";
$locale['status6'] = "Anonimizálva";
$locale['status7'] = "Deaktivált";
$locale['status8'] = "Inaktív";
// Forum Moderator Level(s)
$locale['userf1'] = "Moderátor";
// Navigation
$locale['global_001'] = "Navigáció";
$locale['global_002'] = "Nincs megadva link<br />\n";
$locale['global_003'] = "Nincs előnézet";
// Users Online
$locale['global_010'] = "Felhasználók";
$locale['global_011'] = "Online vendégek";
$locale['global_012'] = "Online tagok";
$locale['global_013'] = "Nincs Online tag";
$locale['global_014'] = "Regisztráltak";
$locale['global_015'] = "Aktiválatlanok";
$locale['global_016'] = "Legújabb tag";
$locale['global_017'] = "Navigáció Váltás";
// Forum Side panel
$locale['global_020'] = "Fórumtémák";
$locale['global_021'] = "Legújabb témák";
$locale['global_022'] = "Legnépszerűbb témák";
$locale['global_023'] = "Nincs elérhető fórumtéma";
$locale['global_024'] = "Hozzászólásaid";
$locale['global_027'] = "Megválaszolatlan témák";
$locale['global_028'] = "Megoldatlan kérdések";
// Comments Side panel
$locale['global_025'] = "Legújabb hozzászólások";
$locale['global_026'] = "Nincsenek hozzászólások";
// Articles Side panel
$locale['global_030'] = "Legújabb cikkek";
$locale['global_031'] = "Nincs elérhető cikk";
// Downloads Side panel
$locale['global_032'] = "Legújabb letöltések";
$locale['global_033'] = "Nincs elérhető letöltés";
// Welcome panel
$locale['global_035'] = "Üdvözöllek";
// Latest Active Forum Threads panel
$locale['global_040'] = "Utolsó aktív fórumtémák";
$locale['global_041'] = "Legutóbbi fórumtémáim";
$locale['global_042'] = "Legutóbbi hozzászólásaim";
$locale['global_043'] = "Új hozzászólások";
$locale['global_044'] = "Téma";
$locale['global_045'] = "Megnyitva";
$locale['global_046'] = "Válaszok";
$locale['global_047'] = "Utolsó üzenet";
$locale['global_048'] = "Fórum";
$locale['global_049'] = "Beküldve";
$locale['global_050'] = "Szerző";
$locale['global_051'] = "Szavazás";
$locale['global_052'] = "Áthelyezve";
$locale['global_053'] = "Még nem indítottál egy fórumtémát sem.";
$locale['global_054'] = "Még nem írtál egy hozzászólást sem.";
$locale['global_055'] = "%u új hozzászólás érkezett %u különböző témában utolsó látogatásod óta.";
$locale['global_056'] = "Figyelt témáim";
$locale['global_057'] = "Lehetőségek";
$locale['global_058'] = "Eltávolítás";
$locale['global_059'] = "Jelenleg egy témát sem követsz nyomon.";
$locale['global_060'] = "Megszünteted a téma követését?";
// Blog, News & Articles
$locale['global_070'] = " ";
$locale['global_070b'] = "%s összes hozzászólásának megtekintése";
$locale['global_071'] = " - ";
$locale['global_071b'] = "Szerző";
$locale['global_072'] = "Részletek";
$locale['global_073'] = " hozzászólás";
$locale['global_073b'] = " hozzászólás";
$locale['global_074'] = " megnyitás";
$locale['global_074b'] = " megnyitás";
$locale['global_075'] = "Nyomtatás";
$locale['print'] = "Nyomtatás";
$locale['global_076'] = "Szerkesztés";
$locale['global_077'] = "Hírek";
$locale['global_078'] = "Az oldalon jelenleg nincsenek hírek";
$locale['global_079'] = "Kategória: ";
$locale['global_080'] = "Nincs";
$locale['global_081'] = "Hírek főoldal";
$locale['global_082'] = "Hírek";
$locale['global_083'] = "Utoljára frissítve";
$locale['global_084'] = "Hír kategóriák";
$locale['global_085'] = "Összes kategória";
$locale['global_086'] = "Legújabb hírek";
$locale['global_087'] = "Legtöbbet hozzászólt hírek";
$locale['global_088'] = "Legjobbra értékelt hírek";
$locale['global_089'] = "Legyél az első, aki hozzászól ehhez: %s";
$locale['global_089a'] = "Legyél az első, aki értékeli ezt: %s";
$locale['global_089b'] = "Kis nézet";
$locale['global_089c'] = "Lista nézet";
// Page Navigation
$locale['global_090'] = "Előző";
$locale['global_091'] = "Következő";
$locale['global_092'] = "Oldal: ";
$locale['global_093'] = " / ";
$locale['global_094'] = " ennyiből ";
// Guest User Menu
$locale['global_100'] = "Bejelentkezés";
$locale['global_101'] = "Felhasználónév";
$locale['global_101a'] = "Felhasználó Neved";
$locale['global_101b'] = "E-mail címed";
$locale['global_101c'] = "E-mail vagy Felhasználó neved";
$locale['global_102'] = "Jelszó";
$locale['global_103'] = "Emlékezzen rám";
$locale['global_104'] = "Bejelentkezés";
$locale['global_105'] = "Még nem regisztráltál?<br />[LINK]Regisztráció[/LINK]";
$locale['global_106'] = "[LINK]Új jelszó kérése[/LINK]";
$locale['global_107'] = "Regisztráció";
$locale['global_108'] = "Elfelejtett jelszó";
$locale['global_109'] = "Regisztráció";
// Member User Menu
$locale['global_120'] = "Profil Módosítás";
$locale['global_121'] = "Privát üzenetek";
$locale['global_122'] = "Regisztrált tagok";
$locale['global_123'] = "Adminisztráció";
$locale['global_124'] = "Kijelentkezés";
$locale['global_125'] = "%u új ";
$locale['global_126'] = "üzeneted van";
$locale['global_127'] = "üzeneted van";
$locale['global_128'] = "beküldés érkezett";
$locale['global_129'] = "beküldés érkezett";
// User Menu
$locale['UM060'] = "Bejelentkezés";
$locale['UM061'] = "Felhasználónév";
$locale['UM061a'] = "Email";
$locale['UM061b'] = "Felhasználónév vagy email";
$locale['UM062'] = "Jelszó";
$locale['UM063'] = "Emlékezzen rám ezen a számítógépen";
$locale['UM064'] = "Bejelentkezés";
$locale['UM065'] = "Még nem regisztráltál?<br />[LINK]Regisztráció[/LINK]";
$locale['UM066'] = "Elfelejtetted jelszavad?<br />[LINK]Új jelszó kérése[/LINK]";
$locale['UM067'] = "(Nem ajánlott Nyilvános vagy Megosztott számítógépen)";
$locale['UM080'] = "Profil Módosítás";
$locale['UM081'] = "Privát Üzenetek";
$locale['UM082'] = "Tagjaink";
$locale['UM083'] = "Adminisztráció";
$locale['UM084'] = "Kilépés";
$locale['UM085'] = "Neked %u új ";
$locale['UM086'] = "üzeneted";
$locale['UM087'] = "üzeneteid";
$locale['UM088'] = "Nyomon követés";
// Submit (news, link, article)
$locale['UM089'] = "Küldés...";
$locale['UM090'] = "Hír küldése";
$locale['UM091'] = "Link küldése";
$locale['UM092'] = "Cikk küldése";
$locale['UM093'] = "Fotó küldése";
$locale['UM094'] = "Letöltés küldése";
$locale['UM095'] = "Blog küldése";
$locale['UM102'] = "GyIK küldése";
// User Panel
$locale['UM096'] = "Üdvözöllek: ";
$locale['UM097'] = "Személyes menü";
$locale['UM101'] = "Nyelv váltása";
// Gauges
$locale['UM098'] = "PM Beérkezett:";
$locale['UM099'] = "PM Kimenő:";
$locale['UM100'] = "PM Archivált:";
// Keywords and Meta
$locale['tags'] = "Jelölések";
// Captcha
$locale['global_150'] = "Ellenőrzőkód:";
$locale['global_151'] = "Add meg az ellenőrzőkódot:";
// Footer Counter
$locale['global_170'] = "egyedi látogató";
$locale['global_171'] = "egyedi látogató";
$locale['global_172'] = "Generálási idő: %s másodperc";
$locale['global_173'] = "Lekérdezés";
$locale['global_174'] = "Használt memória";
$locale['global_175'] = "Átlag: %s másodperc";
$locale['global_176'] = "Adatvédelmi irányelvek";
// Admin Navigation
$locale['global_180'] = "Adminisztrátori főmenü";
$locale['global_181'] = "Főoldal";
$locale['global_182'] = "Megjegyzés: az admin jelszó nincs megadva, vagy hibás.";
// Miscellaneous
$locale['global_190'] = "Az oldal karbantartás alatt áll";
$locale['global_191'] = "IP címed a feketelistán szerepel";
$locale['global_192'] = "Lejárt a sütid (cookie) érvényességi ideje. Kérjük jelentkezz be újra.";
$locale['global_193'] = "A bejelentkezés nem sikerült. Kérjük ellenőrizd, hogy a böngésződben engedélyezve van-e a sütik (cookie) elfogadása.";
$locale['global_194'] = "Hozzáférésedet felfüggesztettük";
$locale['global_195'] = "Az adminisztrátorok még nem aktiválták hozzáférésedet";
$locale['global_196'] = "Hibás felhasználónév vagy jelszó";
$locale['global_197'] = "Átirányítás folyamatban...<br />\n<br />\n[ [LINK]Kattints ide, ha nem akarsz várni[/LINK] ]";
$locale['global_198'] = "FIGYELEM: Telepítő fájlt észleltünk, kérjük, törölje az install-PHP fájlt azonnal.";
$locale['global_199'] = "FIGYELEM: Az admin jelszavad még nem állítottad be - [LINK]".$locale['global_120']."[/LINK]";
//Titles
$locale['global_200'] = " - ";
$locale['global_201'] = ": ";
$locale['global_202'] = $locale['global_200']."Keresés";
$locale['global_203'] = $locale['global_200']."GyIK";
$locale['global_204'] = $locale['global_200']."Fórum";
//Themes
$locale['global_210'] = "Ugrás az oldal tartalmához";
$locale['global_300'] = "nem található felület";
$locale['global_301'] = "Sajnáljuk, de nem tudjuk megjeleníteni az oldalt. Az oldalon nem található egyetlen theme (felület) sem. Ha te vagy az oldal adminisztrátora, akkor tölts fel FTP-n keresztül a szerver <em>themes/</em> mappájába bármilyen <em>PHP-Fusion v7</em> kompatibilis készült theme-t. Feltöltés után ellenőrizd az <em>Alap beállítások</em> admin oldalon, hogy az általad választott felület szerepel-e a szerver <em>themes/</em> mappájában. Ha igen, és mégsem működik, akkor ellenőrizd, hogy nincsenek-e különleges karakterek benne, illetve ügyelj arra, hogy a szerverek többsége megkülönbözteti a kis- és Nagybetűket!<br /><br />Ha csak egy látogató vagy az oldalon, kérjük lépj kapcsolatba az oldal adminisztrátorával ([SITE_EMAIL]) és jelentsd neki a hibát.";
$locale['global_302'] = "A Rendszer-beállítások - Alap beállítások menüpontja alatt beállított theme nem található vagy hibás!";
// JavaScript Not Enabled
$locale['global_303'] = "Hiba történt! Nem működik a <strong>JavaScript</strong>!<br />\nA böngésződben le van tiltva a JavaScript futtatása, vagy nem támogatja a JavaScript használatát. Az oldal megfelelő használatához kérjük engedélyezd a JavaScript futtatását böngésződben,<br />\n vagy frissítsd egy újabb verzióra, amely támogatja a JavaScript-et:<br /><a href='http://firefox.com' rel='nofollow' title='Mozilla Firefox'>Firefox</a>, <a href='http://apple.com/safari/' rel='nofollow' title='Safari'>Safari</a>, <a href='http://opera.com' rel='nofollow' title='Opera Web Browser'>Opera</a>, <a href='http://www.google.com/chrome' rel='nofollow' title='Google Chrome'>Chrome</a>, vagy az <a href='http://www.microsoft.com/windows/internet-explorer/' rel='nofollow' title='Internet Explorer'>Internet Explorer</a> 6-nál újabb verziója.";
// User Management
$locale['global_400'] = "felfüggesztve";
$locale['global_401'] = "kitiltva";
$locale['global_402'] = "deaktiválva";
$locale['global_403'] = "hozzáférés szüneteltetve";
$locale['global_404'] = "hozzáférés anonimizálva";
$locale['global_405'] = "anonim felhasználó";
$locale['global_406'] = "Ez a felhasználó ki lett tiltva az alábbi okokból:";
$locale['global_407'] = "Ez a felhasználó fel lett függesztve az alábbi időpontig: ";
$locale['global_408'] = " az alábbi okok miatt:";
$locale['global_409'] = "Ez a felhasználó biztonsági okokból ki lett tiltva.";
$locale['global_410'] = "Indoklás: ";
$locale['global_411'] = "Ez a felhasználó el lett távolítva.";
$locale['global_412'] = "Ez a felhasználó anonimizálva lett, valószínűleg inaktivitás miatt.";
// Flood control
$locale['global_440'] = "Flood miatti automatikus kitiltás";
$locale['global_441'] = "Felhasználóneved kitiltva - [SITENAME]";
$locale['global_442'] = "Szia [USER_NAME],<br />
Valaki a felhasználóneveddel túl sok hozzászólást küldött el rövid idő alatt az alábbi IP címről: [USER_IP].<br />A rendszerünk ezért kitiltotta az oldalról, hogy megelőzze az esetleges rosszindulatú robotok tevékenységét.<br />
Kérjük lépj kapcsolatba oldalunk adminisztrátorával az alábbi címen, ha nem te okoztad a problémát: [SITE_EMAIL]<br />
Üdvözlettel,<br />
[SITEUSERNAME]<br />[SITENAME]";
// Authenticate Class
$locale['global_450'] = "Felfüggesztésed feloldva";
$locale['global_451'] = "Felfüggesztésed feloldva - [SITENAME]";
$locale['global_452'] = "Szia USER_NAME,<br />
Feloldottuk kitiltásodat oldalunkon ([SITEURL]). Bejelentkezési adataid:<br />
Felhasználónév: USER_NAME<br />
Jelszó: a korábban használt<br />
Ha elfelejtetted jelszavad, az alábbi linken kérhetsz újat: LOST_PASSWORD<br />
Üdvözlettel,<br />
[SITEUSERNAME]<br />[SITENAME]";
$locale['global_453'] = "Szia USER_NAME,<br />
Feloldottuk kitiltásodat oldalunkon ([SITEURL]).<br />
Üdvözlettel,<br />
[SITEUSERNAME]<br />[SITENAME]";
$locale['global_454'] = "Fiók újra aktiválása [SITENAME]";
$locale['global_455'] = "Szia USER_NAME,<br />
Legutóbbi bejelentkezésed alkalmával hozzáférésed aktiválva lett, így már nincs megjelölve inaktívként.<br />
Üdvözlettel,<br />
[SITEUSERNAME]<br />[SITENAME]";
$locale['global_456'] = "Új jelszó értesítő [SITENAME]";
$locale['global_457'] = "Helló USER_NAME,
<br />Új jelszót állított be a [SITENAME] fiókjához. Itt megtalálja a mellékelt új bejelentkezési adatait:<br />
Felhasználó név: USER_NAME<br />Jelszó: [PASSWORD]<br />Üdvözlettel,<br />[SITEUSERNAME]";
$locale['global_458'] = "Új jelszó elküldve USER_NAME";
$locale['global_459'] = "Új jelszó beállítva neki: USER_NAME, de email nem lett küldve számára. Kérjük jelezd a felhasználónak a változtatást.";
// Function parsebytesize()
$locale['global_460'] = "Üres";
$locale['global_461'] = "Bájt";
$locale['global_462'] = "kB";
$locale['global_463'] = "MB";
$locale['global_464'] = "GB";
$locale['global_465'] = "TB";
//Safe Redirect
$locale['global_500'] = "Átirányítás folyamatban: %s, kérjük várj. Ha ez nem történik meg, kérjük kattints ide.";
// Captcha Locales
$locale['global_600'] = "Ellenőrzőkód";
$locale['global_601'] = "A megadott ellenőrzőkód hibás";
$locale['recaptcha'] = "hu";
// Site links
$locale['global_700'] = "További Linkek";
//Miscellaneous
$locale['global_900'] = "Sikertelen HEX-DEC átváltás";
$locale['global_901'] = "Média Hozzáadása";
//Language Selection
$locale['global_ML100'] = "Nyelv:";
$locale['global_ML101'] = "- Válassz nyelvet -";
$locale['global_ML102'] = "Oldal nyelve";
$locale['global_ML103'] = "Nyelv váltás";
// Flood Control
$locale['flood'] = "Nem szólhatsz hozzá, míg a flood periódusod le nem telt. Kérjük várj ennyit: %s.";
$locale['no_image'] = "Nincs kép";
$locale['send_message'] = "PM Küldés";
$locale['go_profile'] = "%s Profiljának megtekintése";
// Global one word locales
$locale['hello'] = "Helló!";
$locale['goodbye'] = "Viszlát!";
$locale['welcome'] = "Üdv ismét";
$locale['home'] = "Főoldal";
// Status
$locale['error'] = "Hiba!";
$locale['success'] = "Sikeres!";
$locale['enable'] = "Engedélyezve";
$locale['disable'] = "Kikapcsolva";
$locale['can'] = "tudsz";
$locale['cannot'] = "nem tudsz";
$locale['no'] = "Nem";
$locale['yes'] = "Igen";
$locale['off'] = "Kikapcsolva";
$locale['on'] = "Bekapcsolva";
$locale['or'] = "vagy";
$locale['by'] = "indította";
$locale['in'] = "-";
$locale['of'] = " / ";
$locale['and'] = " és ";
$locale['na'] = "Nincs adat";
$locale['joined'] = "Csatlakozott: ";
// Navigation
$locale['next'] = "Következő";
$locale['previous'] = "Előző";
$locale['back'] = "Vissza";
$locale['forward'] = "Előre";
$locale['go'] = "Mehet";
$locale['cancel'] = "Mégsem";
$locale['clear'] = "Törlés";
$locale['move'] = "Mozgatás";
$locale['move_up'] = "Fel";
$locale['move_down'] = "Le";
$locale['load_more'] = "További elemek betöltése";
$locale['load_end'] = "Betöltés elölről";
// Actions
$locale['add'] = "Hozzáad";
$locale['save'] = "Ment";
$locale['save_changes'] = "Változások mentése";
$locale['save_and_close'] = "Mentés és Kilépés";
$locale['confirm'] = "Meg erősít";
$locale['update'] = "Frissít";
$locale['updated'] = "Frissít";
$locale['remove'] = "Visszavon";
$locale['delete'] = "Törlés";
$locale['search'] = "Keres";
$locale['help'] = "Segítség";
$locale['register'] = "Regisztráció";
$locale['ban'] = "Tilt";
$locale['reactivate'] = "Újra aktivál";
$locale['user'] = "Felhasználó";
$locale['promote'] = "Támogat";
$locale['show'] = "Mutat";
$locale['actions'] = "Művelet";
$locale['language'] = "Nyelv";
// Persons & Identifiers
$locale['you'] = "Te";
$locale['me'] = "Én";
$locale['they'] = "Ők";
$locale['we'] = "Mi";
$locale['us'] = "Nekünk";
$locale['he'] = "Ő";
$locale['she'] = "Az";
$locale['it'] = "Azt";
//Tables
$locale['order'] = "Rendez";
$locale['sort'] = "Sorba rendez";
$locale['id'] = "ID";
$locale['title'] = "Cím";
$locale['rights'] = "Jogok";
$locale['info'] = "Infó";
$locale['image'] = "Kép";
// Forms
$locale['choose'] = "Kérlek válassz egyet...";
$locale['no_opts'] = "Nincs kiválasztva";
$locale['root'] = "Főkönyvtár";
$locale['choose-user'] = "Kérlek válassz felhasználót...";
$locale['choose-location'] = "Kérlek, válassz egy Helyszínt";
$locale['parent'] = "Új kapcsolat készítése..";
$locale['item_order'] = "Rendezés";
$locale['status'] = "Státusz";
$locale['note'] = "Jegyezd fel";
$locale['publish'] = "Publikált";
$locale['unpublish'] = "Nem publikált";
$locale['sticky'] = "Kiemelt";
$locale['unsticky'] = "Normál";
$locale['draft'] = "Vázlat";
$locale['settings'] = "Beállítások";
$locale['posted'] = "beküldve";
$locale['profile'] = "Profil";
$locale['edit'] = "Szerkeszt";
$locale['qedit'] = "Gyors Javítás";
$locale['view'] = "Megnéz";
$locale['login'] = "Bejelentkezés";
$locale['logout'] = "Kijelentkezés";
$locale['admin-logout'] = "Admin kijelentkezés";
$locale['message'] = "Privát üzenetek";
$locale['logged'] = "Bejelentkezve ";
$locale['version'] = "Verzió ";
$locale['browse'] = "Böngészés ...";
$locale['close'] = "Bezár";
$locale['nopreview'] = "Nincs előnézet!";
$locale['mark_as'] = "Megjelölés";
$locale['preview'] = "Előnézet";
$locale['custom'] = "Mód";
$locale['submit'] = "Beküldés";
// Alignment
$locale['left'] = "Ball";
$locale['center'] = "Közép";
$locale['right'] = "Jobb";
// Comments and ratings
$locale['comments'] = "Hozzászólás";
$locale['ratings'] = "Értékelés";
$locale['comments_ratings'] = "Hozzászólás és Értékelés";
$locale['user_account'] = "Felhasználói fiók";
$locale['about'] = "Szerző";
// User status
$locale['online'] = "Online";
$locale['offline'] = "Offline";
// Words for formatting to single and plural forms. Count of forms is language-dependent
$locale['fmt_submission'] = "beküldés|beküldés";
$locale['fmt_article'] = "cikkek|cikkek";
$locale['fmt_blog'] = "blog|blog";
$locale['fmt_comment'] = "hozzászólás|hozzászólás";
$locale['fmt_vote'] = "szavazat|szavazat";
$locale['fmt_rating'] = "értékelés|értékelés";
$locale['fmt_day'] = "napja|nap";
$locale['fmt_download'] = "letöltés|letöltés";
$locale['fmt_follower'] = "követő|követők";
$locale['fmt_forum'] = "fórum|fórum";
$locale['fmt_guest'] = "idegen|idegen";
$locale['fmt_hour'] = "óra|óra";
$locale['fmt_item'] = "tétel|tétel";
$locale['fmt_member'] = "tag|tagok";
$locale['fmt_message'] = "üzenet|üzenetek";
$locale['fmt_minute'] = "perce|perc";
$locale['fmt_month'] = "hó|hó";
$locale['fmt_news'] = "hírek|hírek";
$locale['fmt_photo'] = "kép|képek";
$locale['fmt_post'] = "üzenet|üzenetek";
$locale['fmt_question'] = "kérdés|kérdések";
$locale['fmt_read'] = "olvasás|olvasások";
$locale['fmt_second'] = "mp|mp";
$locale['fmt_shouts'] = "shouts|shouts";
$locale['fmt_thread'] = "téma|témák";
$locale['fmt_user'] = "felhasználó|felhasználók";
$locale['fmt_views'] = "megtekintés|megtekintések";
$locale['fmt_weblink'] = "web link|web link";
$locale['fmt_week'] = "hét|hét";
$locale['fmt_year'] = "év|év";
$locale['fmt_points'] = "pont|pontok";
$locale['fmt_admin'] = "admin|adminok";
$locale['fmt_group'] = "csoport|csoportok";
$locale['fmt_category'] = "kategória|kategóriák";
// include Defender locales
include __DIR__."/defender.php";